#pragma once
#include <windows.h>
#include <stdio.h>
#include <stdarg.h>
#include <ctype.h>

#if defined(__cplusplus)
extern "C" {
#endif

struct ffrutils_option {
	DWORD		debug;
	wchar_t		debug_dir[MAX_PATH];
};

#define FFRUTILS_DEBUG_NONE		0
#define FFRUTILS_DEBUG_DISP		1
#define FFRUTILS_DEBUG_LOG		2
#define FFRUTILS_DEBUG_DISPLOG	3
#define FFRUTILS_DEBUG_MINIDUMP	4

//
// export values
//
#ifdef FFRUTILS_EXPORTS
extern struct ffrutils_option ffrutilsopt;
#else
_declspec(dllimport) struct ffrutils_option ffrutilsopt;
#endif

//
// functions
//

// exception.c
DWORD Except_Handler(DWORD dwExceptionCode,LPEXCEPTION_POINTERS pep,char *szFunc);
int ffrutils_init();
int exception_init();

//debugout.c
VOID dbgoutput(char *formatstr,...);


#if defined(__cplusplus)
}	// close: extern "C"
#endif